Subject: [bug#75518] Request for merging "core-packages-team" branch

From: Rutherther <[email-masked]>
Date: Mon, 02 Jun 2025 15:35:38 +0200

Hi, I've tried looking at one of the failing packages - motif. It seems
to me it is probably failing because of gcc-14, so I wanted to try with
gcc-11 to verify that.

(The error it fails with is implicit declaration of strncmp in seemingly
generated file. I think some kind of generation/copy of C code is failing in
the package with gcc-14 source, but I haven't really checked further and
didn't want to spend too much time on it)

That leads to a build of libstdc++-11.5.0 as libstdc++ is built for the
gcc version used in updates to core-packages-team. (since 323483163e1453498f25caf254851a1f6fb817c7)
But this is failing for me locally. Specifically with
internal compiler error! :(

Any ideas? I am completely lost. Attaching the log.

> ../../libstdc++-v3/libsupc++/eh_call.cc:39:1: warning: new declaration ‘void __cxa_call_terminate(_Unwind_Exception*)’ ambiguates built-in declaration ‘void __cxa_call_terminate(void*)’ [-Wbuiltin-declaration-mismatch]
>    39 | __cxa_call_terminate(_Unwind_Exception* ue_header) throw ()
>       | ^~~~~~~~~~~~~~~~~~~~
> ../../libstdc++-v3/libsupc++/eh_call.cc: In function ‘void __cxa_call_terminate(_Unwind_Exception*)’:
> ../../libstdc++-v3/libsupc++/eh_call.cc:39:1: internal compiler error: in gimple_build_eh_must_not_throw, at gimple.cc:730
> libtool: compile:  g++ -I/tmp/guix-build-libstdc++-11.5.0.drv-0/gcc-11.5.0/libstdc++-v3/../libgcc -I/tmp/guix-build-libstdc++-11.5.0.drv-0/gcc-11.5.0/build/include/ -I/tmp/guix-build-libstdc++-11.5.0.drv-0/gcc-11.5.0/build/include -I/tmp/guix-build-libstdc++-11.5.0.drv-0/gcc-11.5.0/libstdc++-v3/libsupc++ -D_GLIBCXX_SHARED -fno-implicit-templates -Wall -Wextra -Wwrite-strings -Wcast-qual -Wabi=2 -fdiagnostics-show-location=once -ffunction-sections -fdata-sections -frandom-seed=hash_bytes.lo -fcf-protection -mshstk -c ../../libstdc++-v3/libsupc++/hash_bytes.cc  -fPIC -DPIC -D_GLIBCXX_SHARED -o hash_bytes.o
> 0x7ffff7cedbd6 __libc_start_call_main
>         ???:0
> 0x7ffff7cedc94 __libc_start_main_alias_1
>         ???:0
> Please submit a full bug report, with preprocessed source (by using -freport-bug).
> Please include the complete backtrace with any bug report.
> See <https://gcc.gnu.org/bugs/> for instructions.
> make[2]: *** [Makefile:769: eh_call.lo] Error 1

Rutherther